# Planetside Of Gunymede (Pre-Release)

Planetside Of Gunymede is a large expansion mod that aims to expand on multiple aspects of the game, expanding out aspects such as new enemies, minibosses, bosses and new mechanics.

## The mod, as of now, includes:
* -__108 new items and guns__, many with their own synergies and some with their own special unlock conditions
* -__19 new enemies__, with their own Ammonomicon entries
* -__4 new minibosses__
* -__4 new bosses__
* -__400 new rooms__, including chest rooms and secret rooms
* -__12 new room objects__, ranging from simply decorative to traps
* -__5 new shrines__
* -__6 new debuffs__
* -__4 new NPCs to trade with__, some with more __peculiar intent__ or __appearances__.
* -__2 new challenge mode challenges__
* -__Ouroborous mode__, toggleable in the Breach, a mode that gets progressively more challenging the more times you beat it
* -__3 new Mastery rewards for the alternate floors__
* -__4 special Bullet Hell shrines__ that reward riskier play
* -__Multiple new unlocks__
* -__Basegame weapon tweaks__, to make them a bit more viable
* -__A Heart item rework__, which gives thematic unique effects to each "Heart" item
* -__??SRTIILNII BTYOEP FOR ETW, ILTCDNA LOWTRI??__
* -__Many more things__, with __MORE__ to come!

Note that this mod is still in development, so feedback and bug reports are very much welcome!

## 1.3.126
Fixes:
- Fixed bug with Gunslinger perk that would cause certain effects to virtually nullify the damage of guns picked up after thrown 
- Fixed issue with specific hovering gun effects where the rotation of the parent object would cause the aim of the hovering gun to be offset, this indirectly buffs Connosoueirs Robes and Gunslinger
- Fixed Unbreakable Spirits revive notification icon not properly displaying the intended image 
- Fixed Pit Lords Pact damaging the Dragun if you stood in the entrance corridor. Im surprised this wasnt caught earlier
- Fixed psychic dusts sprite from being a bottle instead of its intended sprite

Misc:
- Removed some debug logging from Injector Rounds code

## 1.3.125
- REMOVED DEBUG LOGGING

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

## 1.3.124
Fixes:
- Hopefully fixed the Discount Manager for the last time

Changes:
- Tweaked 2 rooms
- Dead Kings Desparation should now give a bit more damage per enemy sucked.
- Tweaked Dead Kings Desparations ammonomicon entry
- Fixed Dead Kings Desparations item tips description using the description of a different item.
- Updated item tips descriptions for:
- T4-GTR
- Spinning Death
- Eye Of Artemis
- Thunder-Shot
- Orbital Insertion
- Immolation Powder
- Gunknown

## 1.3.123
Fixes:
- Fixed Soul-Bound Skull from haemorrhaging errors

Changes:
- Buffed Soul-Bound Skull in a very very small ways
- Blast Showers "Watered Down" synergy effect is less effective on bosses

## 1.3.122
- Fixed Infected Enemies from spewing errors out the wazoo
- Added a wall to a very specific room 

- I'm watching from afar, I'll come back once I finish this new project (June please don't spoil anything I know you get to see what I'm doing)

## 1.3.121
- Fixed Portable Pylon having infinite charges
- Fixed elites from overriding their previously present debuff resistances, which could cause funny moments like Poisbulons dying from their own poison trails
- Frenzy / Yellow elites have some tweaked stats, but also have a 1.2x timescale multiplier, meaning they will do attacks faster

## 1.3.120
Fixes:
- Healing Elites should no longer attempt to heal themselves if they have a long enough death animation
- Added nullcheck to Greed coins to prevent them from creating errors
- Added nullchecks to the stuff that spawns the additional title screen additions, to prevent it from erroring when re-entering the Breach.
- Removed the accidental addition of economic inflation.

Changes:
- Reduced Greedy movement speed bonus
- Greedy coin particles should now fly up much farther
- Increased Greedy coin lifetime from 2.5s to 3.5s
- Greedy has been tweaked, picking up a Greed coin will now reset the timer back to 8 seconds, and will stack stats
- Healing Elites will now only proc their Healing Aura once



## 1.3.119
Fixes
- Fixed Discount Manager breaking the prices of Cursula

Changes
- Gave the Revenant new sprites 

## 1.3.118
Changes:
- Added some more sprite loading optimization
- Reworked H.M Primes credit cost, now starts off costing 5 Credits but increases by 5 for every purchase
- This allows lower tier fights to not be as taxing early on while still putting the tier 4 fight behind a large paywall meant for people that know what theyre doing / longtime players
- HM Primes rewards are a bit more rewarding
- infecetd enemies should now spawn more bullets on death 

Fixes:
- Hopefully fixed lag caused by Spinning Death
- Fixed Spinning deaths D-rectional synergy from breaking
- hopefully fixed whatever was causing infected enemies to bug the fuck out


## 1.3.117
- Fixed room folder not being named correctly

## 1.3.116
Major Changes:
- Added item tips support for every single item, gun and synergy
- 10 rooms added
- Gilded Pot has been fully reworked, along with its synergy
- Reworked portable pylon, now has 2 charges before going on cooldown, but takes longer to recharge, will now tether electricity to all active pylons in range and the player 
- Sentry Goin' Up synergy will increase the amount of charges to 3, and slightly increases tether damage now 
- Oscillating bullets, along with the Oscillator should now not override helix bullets and orbital bullets
- Psychic Blank has been reworked to Psychic Dust, with a new sprite and function

Minor Changes:
- Added VFX to Unsta-bullets
- Reduced effect proc rate of Unsta-bullets
- Greatly decreased Shock-Chains tether range 
- Hull-Breaker Bullets now has a VFX and sound effect upon hitting an enemy within the HP threshold
- Flip-Side synergy now also increases bolt range for Electro-Static Guon Stone
- Added some small VFX to Soulbound Skull, very slight increased damage proc chance
- added additional check for blue room metaprogression
- Updated code for blue room room-gen 

Fixes:
- Rolling over undodgeable bullets with rolling eye or resourceful sack will now still hurt you
- this prevents them from completely breaking the whole point of undodgeable bullets while maintaining the items functionality with them
- Fixed D-rectional synergy from making Spinning Death non-functional

Misc:
- Improved AoE projectile damage code, should now run better
- Cleaned up code for Electro Static Guon Stone a bit
- Cleaned up Soul-Bound Skulls code a little
- Tweaked Corrupt Bullets and Unsta-Bullets sprites
- Subtly tweaked diamond chamber sprite


## 1.3.115

- (Hopefully) Fixed Shambers from breaking Revolvenant and Executioner Kin AI if certain projectile attacks are absorbed
- Patched exploit where pickups could be farmed endlessly in the Aimless Void with Pit Lords Pact
- Hopefully fixed counting mistake where more than intended amounts of stuff could be rerolled per floor with Pit Lords Pact
- Nerfed monetary amount from selling items to pits via pit lords pact
- Forced some custom rooms to not have teleporters in them at all

## 1.3.114

- Quick update to update SoundAPI version

## 1.3.113

- Fixed Dead Kinds Desperation from causing an infinite, gamebreaking loop when used with its synergy
- Fixed musiv not being reset properly from the Something Wicked event
- Something Wicked is now even darker
- Something Wicked now slightly messes with the player more
- Added Dead Kings Desperation drop failsafe so you dont get locked out of using it in very specific scenarios

## 1.3.112

- fixed all planetside bosses from not being affected by Mourning star / potentially explosives as a whole, hopefully it doesnt break pasts
- self replicating blank now grants a 3x weight multiplier to ammolets
- broken chamber will not be active during a VERY specific blue room
- Broken Chamber now starts off slower but increases the rate at which is drops zones faster, capped at 6 seconds between zones
- made blue portals appear less commonly if staple progression marks are not met, with reason
- **this will NOT prevent the portal from spawning if it is GUARANTEED**
- **the first unlock can be achieved easily after your first run on a save file if you are experienced enough**
- **achieving Lead God will unlock a permanent 1.15x chance for portals to spawn**
- Broken Chamber shrine should now only spawn if the Lich has been defeated once
- Hell Curse Shrines will not spawn if the Lich has not been defeated once
- Halved ouroborous enemt movement speed scaling
- tweaked more item descriptions
- Revenant will now ignore all tile collisions for 0.5 seconds
- Eye of Artemis has greatly increased damage, but will now deal less damage per lock-on, capped at 20 BASE damage 
- Eye of Artemis range increased slightly
- Resault max ammo increased from 200 -> 250, damage increased from 4.5 -> 6 
- tweaked custom sound audio levels a bit more
- Annihichamber has gotten multiple tweaks + changes
- **His beam attack is now a very slow tracking beam**
- **Now has a triple dash attack in his first phase**
- **Vomit attack projectile speed reduced by a lot**
- **The basic dash attack now has more projectiles**
- **Now has a triple fake out dash in his second phase**
- **His phase transition animation should now play properly**
- **Fixed Annihichambers death blood particles not being red**
- **Added hell portal VFX to make the Hell Drag VFX make a bit more sense
## 1.3.111
- Added new Ammonomicon sheet to Ophanaim
- Hopefully added enough failsafes for Ophanaims minions telegraph lines to prevent them from persisting if Ophanaim or the minion dies while the telegraph is present 
- Increased Ophanaim minion base HP from 45 -> 50
- Reduced Ophanaim base HP from 1200 -> 1150
- Slightly reduced Detscavator base HP from 42 -> 40
- Jammed Guardian awaken animation is now slightly faster
- Hopefully fixed issue where interacting with the Trespass Challenge Shrine while it is activating would cause a softlock
- Tweaked blue room metaprogression values a bit
- Nemesis base HP buffed from 200 -> 240
- Nemesis spawn chance reduced
- Tweaked Trespass Challenge Shrine enemy waves
- Fixed Ophanaims spinny beam attack beam not dealing damage to the player
- Mixed Chambers now increase your portal chance % by 1.5x
- Fixed Ophanaim taking highest priority when the game decides what abbey boss to spawn
- Added check so that Curse Of Petrification doesnt spawn a larger than intended curse zone if the enemy was Jammed
- Petrification circles spawned by Curse Of Petrification should now be on average smaller

## 1.3.110
Something vengeful may now appear in the Gungeon
- Added proper meta-progression for the forgotten zone, where it eases the player in slowly
- new decorative object: Money Pots. Worth their weight in bronze, silver or gold
- tweaked some item descriptions
- Reworked Teleporting Gunfire
- Aura Bullets now deal less AoE damage, but start with more range. Tips of beams will now also have an aura
- Gun Warrant will now reduce the price of any gun for sale by 50%.
- Added 1-2 new mechanics to coins
- Added a couple of new rooms to the Blue Zone
- Immateria has been reworked
- Fixes 
- Changed how Ouroborous affects how tanky enemies are to prevent softlocks with certain enemies
- Added a few nullchecks in a few places
- Hopefully fixed Death Warrants eye from getting stuck in a immobile state
- OPhanaim has received a full rework
- Added 3 new items and 1 gun
- 30 new rooms 
- new trap: Buff Shrines
- hopefully fixed some enemies that couldnt pathfind above pits if they were intended to
- massively buffed Barretinas HP from 40 -> 60
- some more loadtime improvements, I hope
- hopefully fixed most language related issues
- Immateria is now locked behind an unlock
- A secret boss is now also hidden behind an unlock
- tweaked detscavator beam audio levels to a reasonabl amount

- GITHUB LINK IS UPDATED!!!

## 1.3.109-
-fixed coallets and youngling cubes from being void
-tweaked youngling cubes hitbox
-teleporter prototype is no longer usable inside of Trespass rooms
-synergy chests defused by the QoL toggle will now no longer play their fuse sound
-traps are now properly (for real this time) disabled in the Something Wicked event
-hopefully imrpoved enemy removal code for the Something Wicked event

## 1.3.108-
* -fixed corrupted blanks not working
* -fixed corrupted health VFX not updating when entering a new floor
* -fixed ammo boxes not disappearing when picking them up with corrupted wealth active
* -hopefully fixed error with corrupted armor where it would try to apply a corrupted shader to armor UI that didnt exist
* -hopefully fixed error wth pit lords pact detection when enemy was above a bit


## 1.3.107-
* -Fixed The Player getting stuck in the Something Wicked event if thet hopped down the elevator shaft and returned.
* -H.M Prime is now completely invulnerable when inactive.
* -More minor loadtime optimizations.
* -Completely reworked the Executioners Crossbow weapon.
* -Increased Revenants damage from 35 => 45
* -Increased Rebar Punchers damage from 40 => 45
* -Increased Rebar Punchers ammo from 40 => 45
* -Increased Arm Warmers meat explosions damage from 5.5 => 6
* -Reduced Hardlight Nailguns fire rate from 0.25s between shots to 0.3s

1.3.106-
Fixed all "On Run Started" effects as the condition for them to trigger had slightly changed, leading to them breaking.

1.3.105-
Readded a decimal point to somewhere it should have been.

1.3.104-
-saw controlled dispenser now does more damage when "sawing" enemies
-tweaked functionality of the stone eyes elite, should no longer give ridiculous stone finger times
-improved trap defusal logic slightly
-something wicked should now disable all traps
-improved logic on "on run started" events
-removed sack of pickups from the ammonomicon
-slightly nerfed conditions for death warrants payouts
-HM Prime slightly upgrades its prediction software


1.3.103-
-Tweaked lighting of Mixed Chambers
-Tweaked NPC position on the 5th Mixed Chamber

1.3.102:
-Hopefully tweaked attack on Infected Dragun to not be cheesable
-Removed Dets from Parasitic Hearts spawn pool (fuck them)
-Tweaked sniper turrets laser position to not act weirdly on edges of walls

1.3.101:
-hopefully fixed lag in the breach 

-added some extra failsafes for injector rounds code

-reverted nerf for the resistant elite type

-fixed bosses not having a boss health bar

-hopefully fixed ophanaim from shitting itself when dying due to some old leftover code

-nerfed some of inftected cannonbalrogs attacks

-im so fucking tired holy shit

1.3.100:
-fixed ??? ????? repair nodes being purchaseable even when you didnt have enough credits
-tweaked a specific room to not be super ridiculous
-fixed bullet hell occasionally failing to load due to an oversight
-added a new heal ability to bullet banker
-bullet banker now has reduced HP and tweaked attack cooldowns
-all of bullet bankers minions spawn with moer HP
-bullet banker and its minions have flight and fire immunity
-most bullet banker minions have been tweaked
-barretinas have had their new attack nerfed 

1.3.99: fixed an issue where the post-Lich win cinematic wouldnt play properly

1.3.98:
-Fixed certain explosions modifying other explosions
-some more minor loadtime changes
-tweaked the curse elite to enrage at 1/5th HP instead of 1/6th 
-tweaked hitbox of Skullvenants
-added fix where the bounds of some custom enemies werent setting properly
-added some more enemy shadows
-fixed skullvenants not being able to fly
-increased skullvenant movement speed
-greatly buffed the Petrifier (more ammo and damage)
-coins will only apply the addition 8x damage multiplier to deadeyes handgun projectiles on the first ricochet



1.3.97: I HOPE I FIXED IT THIS TIME> :)))))))

1.3.96: Fixed instances of Deturrets causing bullets to gain the ability to travel across th astral plane, along with a few other traps.
-Tweaked boss attack


1.3.95: fixed the mod not loading
kill me

1.3.94:
-A certain shop can now not be robbed via grappling hook 

1.3.93:
-Fixed a special item proccing its pickup effect every time it was picked up
-Changed how Heat Stroke works 
-Altered sprites of a few debuff icons
-touched up sprites of Frailty Ammolet and Rounds

1.3.92: fixed an issue where certain special rooms stopped showing up.
God damnit.

1.3.91:-Some more very minor load time optimizations
-Hopefully fixed rare, harmless error caused by Hell Curses
-Tweaked Petrification Hell Curse
-Slightly tweaked Resistant Elites and Stone Eyes Elites
-Slightly tweaked portal spawn rates and conditions
-Tweaked Time Trader spawn conditions
-Fixed error that would happen with T4-GTR when loading onto a new floor


1.3.90: -Hopefully fixed an error that would occasionally appear from Petrifiers projectiles
-Tweaked Annihi-Chambers attacks a bit more, Annihi-Chamber now has a shadow
-Hopefully prevented a harmless error related to certain text objects
-Gunslingers Ring now has an effect while holding a weapon of Gun Class ICE
-Fixed Gunslingers Ring increasing the amount of time it takes to charge a charge gun
-HM Prime now has a slightly updated spawn condition (can only spawn once Dragun has been defeated on a save file)
-Tweaked Ouroboros win/death screen decals to fit better
-Properly fixed a special note to display its text
-Tweaked some sound effects volume
-Tweaked ?????? attacks
-Tweaked some VFX on ???-????? attacks
-Some optimization i think
-Containment Shrine will no longer appear in the Forge
-Tweaked ??? ????? spawn chances

1.3.82: Fixed All Stats Up increasing the amount of time it takes for charge weapons to charge. 
-Hopefully fixed issue where Frost And Gunfire enemies would become Infected outside of Mixed floors after visiting a Mixed Floor
-Hopefully fixed more Infected enemy related errors
-Barretinas recieved a new attack

1.3.81: Fixed a harmless error that would occasionally happen when an enemy spawned on Ouroboros mode:
-Slightly expanded the orbiting skull shield enemy blacklist.
-Some slight Elite changes:
-Healing Elites now have less HP, but now have their healing bubble heal slightly faster and have slightly more reduced cooldowns.
-Cursed Elites now enrage at when 83% of their health is depleted, turning them Jammed (or Umbral is already Jammed), but now have less base HP.
-Reflective Elites now have a slightly longer cooldown on their bursts.
-Stone Eye Elites now have a slightly increased cooldown between Stone Eye effects.

1.3.8: Fixed Arm Warmer having no shoot sounds. 
-Tweaked some perks:
-Corrupted Wealths Corrupted Ammo has a slightly more stricter ammo penalty.
-Chaotic Shifts damage multiplier has been reduced from 0.5625 -> 0.525, and now gives a very small max ammo penalty.
-All Stats Ups stat ups have been very slightly reduced.
-Contractual Obligations summon has been changed visually, should now no longer try to hug enemies and now wields a thompson.
-Gunslinger now comes with a "magazine dump" effect, where the player can dump a clips worth of ammo in their currently held gun. This only works when reloading on a full clip.
-Slightly altered enemy ammonomicon setup to be more optimized.
-Playing on Ouroboros mode now adds special visual decoration to the death/win screen book, along with the current loop.
-The Something Wicked events darkness has been put under control. Someone said it doesnt work for them but I genuinely do not know what could cause that.



1.3.71: Fixed Payday items from having their 9999 price overwritten if they were not unlocked. (They can only be unlocked by stealing and buying them in this state wouldn't unlock them.)
-Made the Ouroborous Shrine only appear once the Lich has been defeated on a file once (I hope).

1.3.7: Buffed HM Auto-Cannon by giving it explosive shells, but reducing its projectile damage. 
-Fodder have been given a slight glow on death.
-A failsafe item has been buffed.

-Did some changes to Ouroborous mode:
	-Chaotic Elites will avoid telefragging you, have an increased teleport cooldown and are very shortly stunned after teleporting.
	-Removed a special elite type that did absolutely nothing.
	-Tweaked the chances of special elites spawning  (aka, made them spawn as often as they actually should instead of a value for testing)
	-Increased the increment at which the amount of orbiting skulls around an enemy increase (So less skulls on higher loops).
	-Enemies should not get skulls if they're the only enemy in the room.
	

1.3.0: Patchnotes [found here.](https://pastebin.com/eJTqLpWs).